#!   /usr/bin/env   python
#    coding: utf8

# Copyright CERN, 2011
# Author: Matthieu Cattin (CERN)
# Licence: GPL v2 or later.
# Website: http://www.ohwr.org
# Last modifications: 03/05/2012

# Import standard modules
import sys
import time

# Import specific modules
import rr
import spi

# Class to access the MAX5442 (DAC) chip.
# It uses the SPI class.

class CMAX5442:

    def __init__(self, spi, slave):
        self.spi = spi
        self.slave = slave

    # value = DAC digital value (2 bytes)
    def set_value(self, value):
        tx = [(value & 0xFF), ((value & 0xFF00)>>8)]
        #print '[max5442] Value to set: %.4X' % value
        #for i in range(len(tx)):
        #    print '[max5442] tx[%d]: %.2X' %(i, tx[i])
        self.spi.transaction(self.slave, tx)

